## python-bitarray 0.8.0

=== Makefile ===

bitarray/_bitarray.so: bitarray/_bitarray.c
	python setup.py build_ext --inplace


test: bitarray/_bitarray.so
	python -c "import bitarray; bitarray.test()"


doc: bitarray/_bitarray.so
	python update_readme.py


clean:
	rm -rf build dist
	rm -f bitarray/*.o bitarray/*.so
	rm -f bitarray/*.pyc
	rm -rf bitarray/__pycache__ *.egg-info
	rm -f README.html

## python-bitarray 0.3.5

=== debian/changelog ===
python-bitarray (0.3.5-1) unstable; urgency=low

  * Initial release. (Closes: #593333)

 -- Jan Dittberner <jandd@debian.org>  Tue, 17 Aug 2010 15:14:23 +0200

=== debian/control ===
Source: python-bitarray
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python (>=
 2.5.4-1~), python-support (>= 0.6.4)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/bitarray
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-bitarray/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-bitarray/trunk

Package: python-bitarray
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python module for efficient boolean array handling
 The bitarry module provides an object type which efficiently represents an
 array of booleans. Bitarrays are sequence types and behave very much like
 usual lists. Eight bits are represented by one byte in contiguous block of
 memory. The user can select between two representations; little-endian and
 big-endian.
 .
 Most of the functionality is implemented in C. Methods for accessing the
 machine representation are provided. This can be useful when bit level access
 to binary files is required, such as portable bitmap image files (.pbm). Also,
 when dealing with compressed data which uses variable bit length encoding, you
 may find this module useful.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

%:
	dh $@

## python-bitarray 0.8.0

=== debian/changelog ===
python-bitarray (0.8.0-2build4) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 23:59:24 +0100

python-bitarray (0.8.0-2build3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:06 +0000

python-bitarray (0.8.0-2build2) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:16:07 +0000

python-bitarray (0.8.0-2build1) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Oct 2012 14:31:37 +0200

python-bitarray (0.8.0-2) unstable; urgency=low

  * add Python3 support
    - add new binary package stanza for python3-bitarray
    - add python3-all-dev and python3 (>= 3.1.3-2~) to Build-Depends
    - add python3 handling to debian/rules

 -- Jan Dittberner <jandd@debian.org>  Fri, 18 May 2012 10:57:12 +0200

python-bitarray (0.8.0-1) unstable; urgency=low

  * New upstream version.
  * remove debian/patches/0001_fix_typo_in_example.patch, not relevant
    anymore
  * move from python-support to dh_python2
    - remove python-support from Build-Depends
    - bump minimum python version to 2.6.6-3~
    - remove debian/pycompat
    - add --with python2 to debian/rules
  * bump Standards-Version to 3.9.3 (no changes)
  * build README.html from README.rst using upstream's update_readme.py
  * run test suite
  * enable hardening build flags
    - import build flags in debian/rules
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
  * update debian/copyright format

 -- Jan Dittberner <jandd@debian.org>  Thu, 17 May 2012 23:53:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-bitarray
 Section: python
 Priority: optional
-Maintainer: Jan Dittberner <jandd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python (>=
- 2.5.4-1~), python-support (>= 0.6.4)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python (>= 2.6.6-3~),
+ python-docutils, dpkg-dev (>= 1.16.1~), python3-all-dev,
+ python3 (>= 3.1.3-2~)
+Standards-Version: 3.9.3
 Homepage: http://pypi.python.org/pypi/bitarray
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-bitarray/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-bitarray/trunk
@@ -27,3 +28,20 @@
  when dealing with compressed data which uses variable bit length encoding, you
  may find this module useful.
 
+Package: python3-bitarray
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Python3 module for efficient boolean array handling
+ The bitarry module provides an object type which efficiently represents an
+ array of booleans. Bitarrays are sequence types and behave very much like
+ usual lists. Eight bits are represented by one byte in contiguous block of
+ memory. The user can select between two representations; little-endian and
+ big-endian.
+ .
+ Most of the functionality is implemented in C. Methods for accessing the
+ machine representation are provided. This can be useful when bit level access
+ to binary files is required, such as portable bitmap image files (.pbm). Also,
+ when dealing with compressed data which uses variable bit length encoding, you
+ may find this module useful.
+ .
+ This package provides the Python3 version of the module.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/python/python.mk

DOCTEMPDIR=$(CURDIR)/debian/buildhtml
DEFAULTPYTHON=$(shell pyversions -d)
PYVERS=$(shell pyversions -i)
PY3VERS=$(shell py3versions -i)

override_dh_auto_clean:
	rm -rf $(DOCTEMPDIR) README.html build

override_dh_auto_build:
	for pyvers in $(PYVERS) $(PY3VERS); do \
	    $$pyvers setup.py build; \
	done

run-install%:
	$* setup.py install --install-layout=deb --root $(CURDIR)/$(call py_pkgname,debian/python-bitarray,$*)

override_dh_auto_install: $(PYVERS:%=run-install%) $(PY3VERS:%=run-install%)

override_dh_python2:
	dh_python2 -ppython-bitarray

override_dh_python3:
	dh_python3 -ppython3-bitarray

override_dh_installdocs:
	mkdir $(DOCTEMPDIR); \
	sed 's,rst2html\.py,rst2html,' <$(CURDIR)/update_readme.py >$(DOCTEMPDIR)/update_readme.py; \
	cp $(CURDIR)/README.rst $(CURDIR)/CHANGE_LOG $(DOCTEMPDIR); \
	cd $(DOCTEMPDIR); \
	PYTHONPATH=$(CURDIR)/debian/python-bitarray$(call py_libdir, $(DEFAULTPYTHON)) $(DEFAULTPYTHON) update_readme.py; \
	mv $(DOCTEMPDIR)/README.html $(CURDIR)
	rm -rf $(DOCTEMPDIR)
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

run-test%:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
		set -e -x; \
		# move to debian dir to avoid import conflict
		cd $(CURDIR)/debian; \
		PYTHONPATH=$(CURDIR)/$(call py_builddir, $(shell echo $*)) $* -c 'import bitarray; bitarray.test()'
endif

override_dh_auto_test: $(PYVERS:%=run-test%) $(PY3VERS:%=run-test%)

%:
	dh --with python2,python3 $@ --buildsystem=python_distutils

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/b/bitarray/ bitarray-(.*)\.tar\.gz

## python-bitarray 0.8.1

=== Makefile ===
bitarray/_bitarray.so: bitarray/_bitarray.c
	$(PYTHON) setup.py build_ext --inplace


test: bitarray/_bitarray.so
	$(PYTHON) -c "import bitarray; bitarray.test()"


doc: bitarray/_bitarray.so
	$(python) update_readme.py


clean:
	rm -rf build dist
	rm -f bitarray/*.o bitarray/*.so
	rm -f bitarray/*.pyc
	rm -rf bitarray/__pycache__ *.egg-info
	rm -f README.html

=== debian/changelog ===
python-bitarray (0.8.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:36 +0100

python-bitarray (0.8.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937610

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 17:23:35 -0500

python-bitarray (0.8.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * New upstream version
  * run wrap-and-sort (affects debian/control and debian/copyright)
  * debian/control: bump Standards-Version to 3.9.5
  * switch to pybuild
    - add dh-python, python-setuptools and python3-setuptools to Build-
      Depends
    - use python-all instead of python in Build-Depends
    - switch to debhelper (>= 9)
    - add X-Python-Version and X-Python3-Version to source package stanza
    - drop custom rules from debian/rules, add PYBUILD_NAME and
      --buildsystem=pybuild
    - add override_dh_auto_test to tell pybuild about the custom test system

 -- Jan Dittberner <jandd@debian.org>  Sun, 15 Jun 2014 22:15:10 +0200

=== debian/control ===
Source: python-bitarray
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               python3-all,
               python3-all-dev,
               python3-docutils,
               python3-setuptools
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/bitarray
Vcs-Git: https://salsa.debian.org/python-team/modules/python-bitarray.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bitarray

Package: python3-bitarray
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 module for efficient boolean array handling
 The bitarry module provides an object type which efficiently represents an
 array of booleans. Bitarrays are sequence types and behave very much like
 usual lists. Eight bits are represented by one byte in contiguous block of
 memory. The user can select between two representations; little-endian and
 big-endian.
 .
 Most of the functionality is implemented in C. Methods for accessing the
 machine representation are provided. This can be useful when bit level access
 to binary files is required, such as portable bitmap image files (.pbm). Also,
 when dealing with compressed data which uses variable bit length encoding, you
 may find this module useful.
 .
 This package provides the Python3 version of the module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=bitarray

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/python3/python.mk

DOCTEMPDIR=$(CURDIR)/debian/buildhtml

# Move README.html creation here:
# we need to have the build-directory, so that we can import `bitarray`,
# so let's have pybuild do the heavy lifting of locating it
export PYBUILD_AFTER_BUILD=mkdir -p $(DOCTEMPDIR) && cp $(CURDIR)/README.rst $(CURDIR)/CHANGE_LOG $(CURDIR)/update_readme.py $(DOCTEMPDIR); cd $(DOCTEMPDIR); PYTHONPATH={build_dir} {interpreter} update_readme.py; mv $(DOCTEMPDIR)/README.html $(CURDIR)

override_dh_auto_clean:
	rm -rf $(DOCTEMPDIR) README.html build
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} -c 'import bitarray; bitarray.test()'" dh_auto_test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-bitarray 1.6.3

=== Makefile ===
PYTHON=python


bitarray/_bitarray.so: bitarray/_bitarray.c
	$(PYTHON) setup.py build_ext --inplace


test: bitarray/_bitarray.so
	$(PYTHON) -c "import bitarray; bitarray.test()"


install:
	$(PYTHON) setup.py install


doc: bitarray/_bitarray.so
	$(PYTHON) update_readme.py
	$(PYTHON) setup.py sdist
	twine check dist/*


clean:
	rm -rf build dist
	rm -f bitarray/*.o bitarray/*.so
	rm -f bitarray/*.pyc
	rm -f examples/*.pyc
	rm -rf bitarray/__pycache__ *.egg-info
	rm -rf examples/__pycache__

=== debian/changelog ===
python-bitarray (1.6.3-2) unstable; urgency=medium

  * Reupload to unstable

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Feb 2021 17:38:04 +0100

python-bitarray (1.6.3-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Antonio Valentino ]
  * New upstream release.
  * d/control:
    - bump Standards-Version to 4.5.1, no change
    - drop dpkg-dev versioned dependency, no longer necessary
    - add Testsuite: autopkgtest-pkg-python
    - add Rules-Requires-Root: no
    - update Homepage fields (point to github)
    - docutils replaced by pandoc in the list of build dependencies
  * d/watch:
    - update watch file format version to 4
    - use upstream tarball form github
  * d/copyright:
    - update Source fields: point to github
    - update copyright date
    - update license text
  * d/patches: drop 2to3_update_readme.patch, no longer necessary.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/rules:
    - fix doc build
    - remove vcs control files from examples

 -- Jan Dittberner <jandd@debian.org>  Sat, 30 Jan 2021 12:04:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               dpkg-dev (>= 1.16.1~),
+               pandoc,
                python3-all,
                python3-all-dev,
-               python3-docutils,
                python3-setuptools
-Standards-Version: 3.9.5
-Homepage: https://pypi.python.org/pypi/bitarray
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-bitarray.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bitarray
+Standards-Version: 4.5.1
+Homepage: https://github.com/ilanschnell/bitarray
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitarray.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitarray
 
 Package: python3-bitarray
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=bitarray

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/python3/python.mk

DOCTEMPDIR=$(CURDIR)/debian/buildhtml

# Move README.html creation here:
# we need to have the build-directory, so that we can import `bitarray`,
# so let's have pybuild do the heavy lifting of locating it
export PYBUILD_AFTER_BUILD=\
mkdir -p $(DOCTEMPDIR) && \
cp $(CURDIR)/README.md $(CURDIR)/CHANGE_LOG $(CURDIR)/update_readme.py $(DOCTEMPDIR); \
cd $(DOCTEMPDIR); \
PYTHONPATH={build_dir} {interpreter} update_readme.py; \
pandoc -r gfm -w html5 -o README.html -s --toc --metadata title="BitArray Documentation" README.md; \
mv $(DOCTEMPDIR)/README.html $(CURDIR)

override_dh_auto_clean:
	rm -rf $(DOCTEMPDIR) README.html build
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} -c 'import bitarray; bitarray.test()'" dh_auto_test

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/python*-bitarray  -name '.gitignore' -delete

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-bitarray 2.7.3

=== Makefile ===
PYTHON=python


bitarray/_bitarray.so: bitarray/_bitarray.c
	$(PYTHON) setup.py build_ext --inplace


test: bitarray/_bitarray.so
	$(PYTHON) setup.py test


install:
	$(PYTHON) setup.py install


doc: bitarray/_bitarray.so
	$(PYTHON) update_doc.py
	$(PYTHON) setup.py sdist
	twine check dist/*


mypy:
	mypy bitarray/*.pyi
	mypy bitarray/test_*.py
	mypy examples/*.py
	mypy examples/huffman/*.py
	mypy examples/sparse/*.py


clean:
	rm -rf build dist
	rm -f bitarray/*.o bitarray/*.so
	rm -f bitarray/*.pyc
	rm -f examples/*.pyc
	rm -rf bitarray/__pycache__ *.egg-info
	rm -rf examples/__pycache__ examples/*/__pycache__
	rm -rf .mypy_cache bitarray/.mypy_cache
	rm -rf examples/.mypy_cache examples/*/.mypy_cache

=== examples/growth/Makefile ===
resize: resize.c
	gcc -Wall resize.c -o resize

test: resize
	./resize >pattern-c.txt
	python growth.py >pattern-py.txt
	diff pattern-c.txt pattern-py.txt
	python test.py

clean:
	rm -f resize
	rm -f pattern-*

=== debian/changelog ===
python-bitarray (2.7.3-1) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Mar 2023 12:26:27 -0400

python-bitarray (2.7.3-1~exp1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Scott Kitterman ]
  * Upload to experimental for testing
  * Update d/rules and d/docs for upstream documentation changes
  * Add d/source/options to extend-diff-ignore egg.info because painful
  * Add autopkgtest (runs full upstream test suite)
  * Bump standards-version to 4.6.2 with no further changes

 -- Scott Kitterman <scott@kitterman.com>  Tue, 28 Mar 2023 08:33:31 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pandoc,
                python3-all,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ilanschnell/bitarray
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitarray.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitarray

## python-bitarray 2.8.0

=== debian/changelog ===
python-bitarray (2.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Jul 2023 21:51:05 -0400

python-bitarray (2.7.6-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Jun 2023 01:20:14 -0400

python-bitarray (2.7.5-1) unstable; urgency=medium

  * New upstream release
  * Add myself to Uploaders

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Jun 2023 19:12:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-bitarray
 Section: python
 Priority: optional
-Maintainer: Jan Dittberner <jandd@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Jan Dittberner <jandd@debian.org>,
+           Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pandoc,

## python-bitarray 2.8.1

=== debian/changelog ===
python-bitarray (2.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Aug 2023 14:04:20 -0400

## python-bitarray 2.9.2

=== debian/changelog ===
python-bitarray (2.9.2-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:48:52 +0000

python-bitarray (2.9.2-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:15:40 +0000

python-bitarray (2.9.2-1build2) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:03:14 +0100

python-bitarray (2.9.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:40:46 +0000

python-bitarray (2.9.2-1) unstable; urgency=medium

  * New upstream release
  * Add Rules-Requires-Root: no to d/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Jan 2024 15:01:39 -0500

=== debian/tests/control ===
Tests: py3
Depends: python3-all,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bitarray-$1\.tar\.gz/ \
  https://github.com/ilanschnell/bitarray/tags .*/v?(\d\S+)\.tar\.gz

## python-bitarray 3.6.1

=== debian/changelog ===
python-bitarray (3.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Simplify some debhelper and pybuild overrides.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Aug 2025 01:02:06 +0100

## python-bitarray 3.7.1

=== devel/resize/Makefile ===
resize: resize.c
	gcc -Wall resize.c -o resize

test: resize
	./resize >pattern-c.txt
	python resize.py >pattern-py.txt
	diff pattern-c.txt pattern-py.txt
	python test_resize.py

clean:
	rm -f resize
	rm -f pattern-*
	rm -rf __pycache__

=== debian/changelog ===
python-bitarray (3.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2025 16:08:12 +0100

## python-bitarray 3.7.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 install:
-	$(PYTHON) setup.py install
+	$(PYTHON) -m pip install -vv .
 
 
 doc: bitarray/_bitarray.so

=== examples/puff/Makefile ===
PYTHON=python

_puff.so: _puff.c
	$(PYTHON) setup.py build_ext --inplace

test: _puff.so
	$(PYTHON) test_puff.py

clean:
	rm -rf *.o *.so __pycache__/ build/

=== examples/sparse/Makefile ===
test:
	python tests.py -
	python tests.py flips
	python tests.py ones


clean:
	rm -f *.pyc *~
	rm -rf __pycache__

=== debian/changelog ===
python-bitarray (3.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Oct 2025 20:02:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Uploaders: Jan Dittberner <jandd@debian.org>,
            Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pandoc,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ilanschnell/bitarray
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitarray.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitarray
+Rules-Requires-Root: no
 
 Package: python3-bitarray
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Breaks: python3-bitstring (<< 4.3.1)
 Description: Python3 module for efficient boolean array handling
  The bitarry module provides an object type which efficiently represents an
  array of booleans. Bitarrays are sequence types and behave very much like

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=bitarray

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/python3/python.mk

DOCTEMPDIR=$(CURDIR)/debian/buildhtml

export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := {interpreter} -c 'import bitarray; bitarray.test()'

# Move README.html creation here:
# we need to have the build-directory, so that we can import `bitarray`,
# so let's have pybuild do the heavy lifting of locating it
export PYBUILD_AFTER_BUILD=\
mkdir -p $(DOCTEMPDIR)/doc && \
cp $(CURDIR)/README.rst $(CURDIR)/CHANGE_LOG $(CURDIR)/update_doc.py $(DOCTEMPDIR); \
cp $(CURDIR)/doc/*.rst $(DOCTEMPDIR)/doc; cd $(DOCTEMPDIR); \
PYTHONPATH={build_dir} {interpreter} update_doc.py; \
pandoc -r gfm -w html5 -o README.html -s --toc --metadata title="BitArray Documentation" README.rst; \
mv $(DOCTEMPDIR)/README.html $(CURDIR)

execute_before_dh_auto_clean:
	rm -rf $(DOCTEMPDIR) README.html build

override_dh_installchangelogs:
	dh_installchangelogs CHANGE_LOG

execute_after_dh_installexamples:
	find $(CURDIR)/debian/python*-bitarray  -name '.gitignore' -delete

%:
	dh $@ --buildsystem=pybuild
